Package com.emc.documentum.rest.constant

# Enum Class ConstraintsValidationPolicy

java.lang.Object
java.lang.Enum<ConstraintsValidationPolicy>
com.emc.documentum.rest.constant.ConstraintsValidationPolicy

All Implemented Interfaces:
  `IntegerValue`, `Serializable`, `Comparable<ConstraintsValidationPolicy>`, `Constable`

public enum ConstraintsValidationPolicy extends Enum<ConstraintsValidationPolicy> implements IntegerValue
Enum for type of constraint validation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `attrs`
  When REST client chooses this option, REST server validates all the constraints defined on the attributes of a type.
  `modified_attrs`
  When rest client chooses this option, REST server validates all the constraints/rules defined on the attributes whose values are changed;
  `not_validate`
  This is the default behavior.
  `obj`
  When REST client chooses this option, the rest server validates only the constraints defined at object/type level, but not validate the constraints defined on the attributes of a type.
  `obj_and_attrs`
  When REST client chooses this option, the rest server validates all the object(/type) and attribute level constraints defined on a type.In this use case the rest server validates the constraints on both modified and non modified attributes.
  `obj_and_modified_attrs`
  When REST client chooses this option, the rest server validates all the object(/type) and attribute level constraints defined on a type.In this use case the rest server validates the constraints only for modified attributes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Map<Integer,String>`
  `getValueMap()`
  `int`
  `value()`
  Returns the integer value of the enum constant
  `static ConstraintsValidationPolicy`
  `valueOf(int value)`
  Gets enum constant according to the input enum value
  `static ConstraintsValidationPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConstraintsValidationPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### attrs

    public static final ConstraintsValidationPolicy attrs
    When REST client chooses this option, REST server validates all the constraints defined on the attributes of a type. This option validates all the constraints defined on the attributes of a type without considering whether an attribute value is changed or not.

  - ### obj

    public static final ConstraintsValidationPolicy obj
    When REST client chooses this option, the rest server validates only the constraints defined at object/type level, but not validate the constraints defined on the attributes of a type.

  - ### obj_and_attrs

    public static final ConstraintsValidationPolicy obj_and_attrs
    When REST client chooses this option, the rest server validates all the object(/type) and attribute level constraints defined on a type.In this use case the rest server validates the constraints on both modified and non modified attributes.

  - ### modified_attrs

    public static final ConstraintsValidationPolicy modified_attrs
    When rest client chooses this option, REST server validates all the constraints/rules defined on the attributes whose values are changed;

  - ### obj_and_modified_attrs

    public static final ConstraintsValidationPolicy obj_and_modified_attrs
    When REST client chooses this option, the rest server validates all the object(/type) and attribute level constraints defined on a type.In this use case the rest server validates the constraints only for modified attributes.

  - ### not_validate

    public static final ConstraintsValidationPolicy not_validate
    This is the default behavior. Validation does not happen when this value is chosen.

- ## Method Details

  - ### values

    public static ConstraintsValidationPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConstraintsValidationPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Description copied from interface: `IntegerValue`
    Returns the integer value of the enum constant
    Specified by:
      `value` in interface `IntegerValue`
    Returns:
      the integer value of the enum constant

  - ### getValueMap

    public static Map<Integer,String> getValueMap()

  - ### valueOf

    public static ConstraintsValidationPolicy valueOf(int value)
    Gets enum constant according to the input enum value
    Parameters:
      `value` - enum value
    Returns:
      enum constant